# Conditional build:
%bcond_with	tests	# unit tests

%define		module	nodeenv
Summary:	Node.js virtual environment builder
Name:		python3-%{module}
Version:	1.9.1
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	https://pypi.debian.net/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	48e8369f9770952639e51f41366f651d
URL:		https://pypi.org/project/nodeenv/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
%if %{with tests}
#BuildRequires:	python3-
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
# replace with other requires if defined in setup.py
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nodeenv (node.js virtual environment) is a tool to create isolated
node.js environments.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

# if pyproject.toml
%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README*
%attr(755,root,root) %{_bindir}/nodeenv
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/__pycache__/*%{module}*
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Mon Feb 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-nodeenv.git;a=log;h=master

* Mon Feb 10 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 9587ced
- Initial

